Subject: bug#72462: closed (Re: bug#72462: Having to store password in mutliple places)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 17 Aug 2024 08:53:02 +0000

Your bug report

#72462: Having to store password in mutliple places

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72462: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72462
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72462: Having to store password in mutliple places
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 17 Aug 2024 11:52:07 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Sun, 04 Aug 2024 17:47:28 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Cc: [email-masked]
> > From: Andreas Schwab <[email-masked]>
> > Date: Sun, 04 Aug 2024 16:42:33 +0200
> > 
> > On Aug 05 2024, Pranshu wrote:
> > 
> > > Following is the code I have:
> > >
> > > Elisp code:
> > > ----------------------------------------------------------
> > > (setq user-mail-address "[email-masked]")
> > > (setq user-full-name "Pranshu")
> > > (setq smtpmail-smtp-server "smtp.gmail.com")
> > > (setq smtpmail-smtp-service 465)
> > > (setq smtpmail-stream-type  'ssl)
> > > (setq mail-sources `((pop :server "pop.gmail.com"
> > > 						  :user ,user-mail-address
> > > 						  :password "**********" ; Password line
> > > 						  :port 995)))
> > > ----------------------------------------------------------
> > >
> > >
> > > Authinfo:
> > > ----------------------------------------------------------
> > > machine smtp.gmail.com login [email-masked] password **********  port 465
> > > ----------------------------------------------------------
> > 
> > You should add an entry to authinfo for machine pop.gmail.com, then you
> > can remove the credentials from mail-sources.  That's still writing the
> > password twice, but at least it's next to each other in the same file.
> 
> I think writing the password twice is unavoidable, since these are two
> separate servers/services: one for receiving email, the other for
> sending.  Am I right?

No further comments, so I presume the problem is solved by the above
advice, and I'm therefore closing this bug.

Subject: Having to store password in mutliple places
From: Pranshu <[email-masked]>
To: [email-masked]
Date: Mon, 05 Aug 2024 00:01:36 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Right now to get a functional gnus setup in which I can send and recive
mail, I am having to store my password is 2 places, which is the mail
sources variable, and the authinfo file.  This makes it extremly
annoying and insecure, especially since I cannot encrypt one fo the
places I store the password.

If I remove password from authinfo file, I can still recive mail but not
send any.  And if I remove password from mail sources, I cannot recive
mail without typing my whole password when prompted on gnus startup.

Following is the code I have:

Elisp code:
----------------------------------------------------------
(setq user-mail-address "[email-masked]")
(setq user-full-name "Pranshu")
(setq smtpmail-smtp-server "smtp.gmail.com")
(setq smtpmail-smtp-service 465)
(setq smtpmail-stream-type  'ssl)
(setq mail-sources `((pop :server "pop.gmail.com"
						  :user ,user-mail-address
						  :password "**********" ; Password line
						  :port 995)))
----------------------------------------------------------

Authinfo:
----------------------------------------------------------
machine smtp.gmail.com login [email-masked] password **********  port 465
----------------------------------------------------------